Subject: Re: bug#55039: [PATCH] Use VC-relative file names in ChangeLog entries

From: Philip Kaludercic <[email-masked]>
Date: Wed, 07 Sep 2022 18:27:18 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Philip Kaludercic <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Wed, 07 Sep 2022 15:53:29 +0000
>> 
>> >> --- a/doc/emacs/maintaining.texi
>> >> +++ b/doc/emacs/maintaining.texi
>> >> @@ -694,7 +694,10 @@ Log Buffer
>> >>  (@code{log-edit-generate-changelog-from-diff}), to generate skeleton
>> >>  ChangeLog entries, listing all changed file and function names based
>> >>  on the diff of the VC fileset.  Consecutive entries left empty will be
>> >> -combined by @kbd{C-q} (@code{fill-paragraph}).
>> >> +combined by @kbd{C-q} (@code{fill-paragraph}).  By default the
>> >> +inserted file names will just be the files without a path.  If
>> >> +@code{diff-add-log-relative-names} is non-nil, a partial path relative
>> >> +to the VC root directory will be inserted instead.
>> >
>> > GNU Coding Standards frown on using "path" for anything but PATH-style
>> > directory lists.  Please use "leading directories" or somesuch here,
>> > as that's what you mean.
>> 
>> I've just remove the changes to the manual from my patch.
>
> Why?  That was nowhere near what I intended to say with the above
> comments, which were minor.

It wasn't because of your comments, rather I just felt mentioning it was
too clumsy, and a few others said they didn't feel it was necessary to
mention the option in the manual.  But if you think that it should be
added, then I'll try it again and take your comments into account.